Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

Your Inbound API key. Include it in the Authorization header as: Bearer

Path Parameters

id
string
required
messageId
string
required

Response

Response for status 200

id
string
required
folder
enum<string>
required
Available options:
inbox,
archive,
junk,
sent
folderPath
string · null · null
required

The exact mailbox folder path (for example Trash or Projects/2026), shared with IMAP and /mailboxes/{id}/folders; null when the message isn't in a folder of this mailbox

threadId
string · null · null
required
subject
string · null · null
required
from
string
required
to
string[]
required
date
string · null · null
required
preview
string · null · null
required
isRead
boolean
required
isJunk
boolean
required
hasAttachments
boolean
required
messageId
string · null · null
required
inReplyTo
string · null · null
required
cc
string[]
required
replyTo
string[]
required
envelopeRecipients
string[]
required
text
string · null · null
required
html
string · null · null
required
attachments
object[]
required
status
string